            <div class='row'>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::numeric('parent_id')
                       -> label(trans('category::category.label.parent_id'))
                       -> placeholder(trans('category::category.placeholder.parent_id'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('name')
                       -> label(trans('category::category.label.name'))
                       -> placeholder(trans('category::category.placeholder.name'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('description')
                       -> label(trans('category::category.label.description'))
                       -> placeholder(trans('category::category.placeholder.description'))!!}
                </div>

                <div class='col-md-12 col-sm-12'>
                    <div class="form-group">
                        <label for="images" class="control-label col-lg-12 col-sm-12 text-left">
                         {{trans('category::category.label.image') }}
                         </label>
                        <div class='col-lg-3 col-sm-12'>
                            {!! $category->files('images', 10)
                            ->mime(config('filer.image_extensions'))
                            ->url($category->getUploadUrl('images'))
                            ->dropzone()!!}
                        </div>
                        <div class='col-lg-7 col-sm-12'>
                            {!! $category->files('images')
                             ->editor()!!}
                        </div>
                    </div>
                </div>
                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('icon')
                       -> label(trans('category::category.label.icon'))
                       -> placeholder(trans('category::category.placeholder.icon'))!!}
                </div>

                <div class='col-md-4 col-sm-6'>
                    {!! Form::select('status')
                    -> options(trans('category::category.options.status'))
                    -> label(trans('category::category.label.status'))
                    -> placeholder(trans('category::category.placeholder.status'))!!}
               </div>

                <div class='col-md-4 col-sm-6'>
                       {!! Form::text('upload_folder')
                       -> label(trans('category::category.label.upload_folder'))
                       -> placeholder(trans('category::category.placeholder.upload_folder'))!!}
                </div>
            </div>